com.io7m.jtensors

## Interface VectorWritable4LType

- All Superinterfaces:
    VectorWritable2LType, VectorWritable3LType
  All Known Subinterfaces:
    PVector4LType<T>, PVectorByteBuffered4LType<T>, PVectorWritable4LType<T>, Vector4LType, VectorByteBuffered4LType
  All Known Implementing Classes:
    PVectorByteBufferedM4L, PVectorM4L, VectorByteBufferedM4L, VectorM4L

      public interface VectorWritable4LType
      extends VectorWritable3LType

  'Write' interface to four-dimensional vectors with long integer elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom4L(VectorReadable4LType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set4L(long x, long y, long z, long w)` Set the current `x`, `y`, `z` and `w` values of the current vector.
    `void` | `setWL(long w)` Set the current `w` value of the current vector.

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3LType

      `copyFrom3L, set3L, setZL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2LType

      `copyFrom2L, set2L, setXL, setYL`

- - ### Method Detail

    - #### copyFrom4L

          void copyFrom4L(VectorReadable4LType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set4L

          void set4L(long x,
                     long y,
                     long z,
                     long w)

      Set the current `x`, `y`, `z` and `w` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.
        `z` - The new `z` value.
        `w` - The new `w` value.

    - #### setWL

          void setWL(long w)

      Set the current `w` value of the current vector.
      Parameters:
        `w` - The new `w` value.

Copyright © 2015 <code@io7m.com> http://io7m.com